gtk.VolumeButton
Prev | The gtk Class Reference | Next

## gtk.VolumeButton

gtk.VolumeButton — A button which pops up a volume control (new in PyGTK 2.12)

## Synopsis

    class gtk.VolumeButton(gtk.ScaleButton):
        gtk.VolumeButton()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Button
                +-- gtk.ScaleButton
                  +-- gtk.VolumeButton

## Implemented Interfaces

`gtk.VolumeButton` implements `gtk.Buildable`

## gtk.VolumeButton Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Button Properties

gtk.ScaleButton Properties

## gtk.VolumeButton Style Properties

gtk.Widget Style Properties

gtk.Button Style Properties

## gtk.VolumeButton Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Button Signal Prototypes

gtk.ScaleButton Signal Prototypes

## Description

`gtk.VolumeButton` is a subclass of `gtk.ScaleButton` that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

## Constructor

        gtk.VolumeButton()

### Note

This constructor is available in PyGTK 2.12 and above.

Creates a `gtk.VolumeButton`, with a range between 0 and 100, with a stepping of 2. Volume values can be obtained and modified using the functions from `gtk.ScaleButton`

Prev | Up | Next
gtk.VButtonBox | Home | gtk.VPaned